package vo

type UserInfo struct {
	ID            uint    `json:"id" form:"id"`
	NickName      string  `json:"nick_name" form:"nick_name"`
	Phone         string  `json:"phone" form:"phone" `
	UnionId       string  `json:"union_id" form:"union_id"`
	OpenId        string  `json:"open_id" form:"open_id"`
	Avatar        string  `json:"avatar" form:"avatar"`
	InviteCode    *string `json:"invite_code" form:"invite_code" gorm:"type:varchar(255) comment '用户专属邀请码'"` // 用户专属邀请码
	Balance       float32 `json:"balance" form:"balance" gorm:"type:decimal(10,2);comment:学员余额"`             // 学员余额
	CommenderId   int     `json:"commender_id" form:"commender_id" gorm:"comment:推荐人ID"`                     // 推荐人ID
	UserLabel     int64   `json:"user_label" form:"user_label" gorm:"comment:用户标签 1 普通用户 2 Vip 3 Svip"`      // 用户标签 1 普通用户 2 Vip 3 Svip
	UserType      int8    `json:"user_type" form:"user_type" `                                               //用户类型  1 用户 2 讲师
	IsVip         int8    `json:"is_vip" form:"is_vip"`                                                      //是否是VIP 0 否 1 是
	VipExpireTime string  `json:"vip_expire_time" form:"vip_expire_time"`                                    // VIP过期时间
}
